%define name poppassd-ceti
%define version 1.8.5
%define release %mkrel 2

Summary: An Eudora and NUPOP change password server
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://echelon.pl/pubs/poppassd.html
Source0: http://echelon.pl/pubs/poppassd-%{version}.tar.bz2
Source1: poppassd.pam.bz2
Source2: poppassd.xinetd.bz2
Patch2: poppassd-buildroot.patch
Patch3: poppassd-ceti-1.8-uid500.patch
License: Distributable
Provides: poppassd
Requires: pam net-tools setup tcp_wrappers sysklogd
BuildRequires: pam-devel
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Poppassd is a daemon allowing users to change their password via Eudora 
or NUPOP using a network protocol on port 106. This package uses PAM.

Original version based on John Norstad's poppassd code. John
Norstad's program ran the regular unix "passwd" command. This version
calls PAM to change the password.

Examine the (un)install scripts with "rpm --scripts <package>" before
(de)installation. They modify some system configuration files.

(See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code).

[Note, to log poppassd password changes, add the following line:

	local4.err 	-/var/log/poppassd.log

to your /etc/syslog.conf file.]

%prep
%setup -n poppassd-%{version}
%patch2 -p1
%patch3 -p1

%build
%serverbuild
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
make BINDIR=$RPM_BUILD_ROOT%{_sbindir} install
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/poppassd
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/poppassd
chmod 644 README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%attr(0700,root,root) %{_prefix}/sbin/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/poppassd



%changelog
* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.8.5-2mdv2008.0
+ Revision: 70395
- use %%mkrel


* Wed Feb 16 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.5-1mdk
- Release 1.8.5.
- Removed Patch4 (ansi), merged upstream.

* Wed Nov 12 2003 Michael Scherer <scherer.michael@free.fr> 1.8.4-2mdk 
- BuildRequires ( pam-devel )

* Wed Aug 20 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.4-1mdk
- Release 1.8.4.
- Added Patch for using ANSI varargs.

* Thu Feb 20 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.3-1mdk
- Release 1.8.3.
- Removed Patch0, Patch1.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8-3mdk
- rebuilt.
- updated source URL.
- minimal UID allowed to change passwd changed from 100 to 500
  (originally from Oliver Schulze <oliver@samera.com.py>).

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8-2mdk
- fix require.

* Mon Sep 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8-1mdk
- initial release.

